<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

if($_GET['ubicacion']) $ubicacion=strtoupper($_GET['ubicacion']);
if($_GET['procedencia']) $procedencia=$_GET['procedencia']; else $procedencia=$_POST['procedencia'];


//21-02-2024 gestion de REAGRUPACION por procedencia INVENTARIO
$pantallaUbicacionInventario=($procedencia=='inventario');
$bloquearUbicacion=($pantallaUbicacionInventario);
$volverAInventarioSiHaySoloUnPalet=false;

if($_POST['reagruparConfirmar']=='1') {
	
	$cuantos=$_POST['reagruparContador'];
	
	for($i=1;$i<=$cuantos;$i++) {
	
		/*
		SGATraspasoContUbicar#Empresa#Usuario#Almacén#PaletOrigen#PaletDestino#Ubicación#TipoPal#IdCliPal
 
		Los 2 últimos parámetros:
		TipoPal. Mandas este texto exactamente: @@INVENTARIO@@ (es porque es un campo obligatorio y lo tengo condicionado para que si llega eso no haga nada con el tipo)
		IdCliPal. No mandas nada. Vacío, como si no existiera.
		*/
		
		//echo '<p>Origen: '.$_POST['contenedor-origen-'.$i].' / destino: '.$_POST['contenedor-destino-'.$i].'</p>';
		
		$PaletOrigen=$_POST['contenedor-origen-'.$i];
		$PaletDestino=$_POST['contenedor-destino-'.$i];
		$Ubicación=$ubicacion;
		$TipoPal='@@INVENTARIO@@';
		$IdCliPal='';
		
		
		$peticion='SGATraspasoContUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$PaletOrigen.'#'.$PaletDestino.'#'.$Ubicación.'#'.$TipoPal.'#'.$IdCliPal;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		if($resultado[0]['Error']) {
		
			?><script>alert('ERROR: <?php echo $resultado[0]['Error']; ?>',null,'error');</script><?php
			
		}
		else $volverAInventarioSiHaySoloUnPalet=true;
		
	}
	
}




if($ubicacion) $esperarCarga=true;

include($rutaPhp.$rutaHtml.'/contenidos/popup-playas.php');

if($_GET['traza']=='si') {
	echo "<p>";
	echo '<p>CONFIGURADA DOBLE LECTURA: '.$_SESSION['dobleLecturaUbicacion'].'</p>';
	echo "ConfigUbiNivelSeparador: ".$_SESSION['parametrosSGA']['ConfigUbiNivelSeparador']."<br>";
	echo "ConfigUbiNivelTamanyoID: ".$_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']."<br>";
	echo "ConfigUbiNivelAutocompletarEspacios: ".$_SESSION['parametrosSGA']['ConfigUbiNivelAutocompletarEspacios']."<br>";
	echo "ConfigUbiNivelCaracterAutocompletar: ".$_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']."<br>";
	echo "ConfigUbiNivelAlineacion: ".$_SESSION['parametrosSGA']['ConfigUbiNivelAlineacion']."<br>";
	echo "Borrar la altura de la lectura de ubicación desde el scanner (porque está preinformada en la etiqueta): ".$borrarAlturaDeUbicacionScanner."<br>";
	echo "</p>";
}

?>
<h2><?php if($_SESSION['gestionPaletizado']=='S') { ?>Palets<?php } else { ?>Productos<?php } ?> por Ubicación</h2>

<input type="<?php if($_GET['traza']=='si') { ?>text<?php } else { ?>hidden<?php } ?>" id="segundaLecturaUbicacion" name="segundaLecturaUbicacion" />
<input type="<?php if($_GET['traza']=='si') { ?>text<?php } else { ?>hidden<?php } ?>" id="segundaLecturaUbicacionDefinitiva" name="segundaLecturaUbicacionDefinitiva" />

<p>Ubicación:<br />
<?php if(!$bloquearUbicacion) { ?>
<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" />
<?php } ?>
<input type="text" name="ubicacion" id="ubicacion" value="<?php echo $ubicacion; ?>" class="campo <?php if($bloquearUbicacion) { ?>deshabilitado<?php } ?>" autocomplete="off" <?php if($bloquearUbicacion) { ?>readonly<?php } ?>/>
<?php if(!$bloquearUbicacion) { ?>
<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarUbicacion"/>
<img src="<?php echo DIR_IMAGENES; ?>/playa.png" alt="Seleccionar Playa" id="botonPlayas" style="width:45px;cursor:pointer;padding-left:20px;margin-right:-50px;margin-bottom:-10px"/>
<?php } ?>
</p>

<div id="listaContenedores">
</div>

<script>

function carga() {

	$('#popupCargando').show();
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-contenedores-ubicacion-S.php?traza=<?php echo $_GET['traza']; ?>", { ubicacion : $("#ubicacion").val() , 'procedencia' : '<?php if($pantallaUbicacionInventario) { ?>reagrupar-inventario<?php } ?>' , 'volverAInventarioSiHaySoloUnPalet' : '<?php if($volverAInventarioSiHaySoloUnPalet) { ?>si<?php } ?>' })
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaContenedores').html(data);
	});

}

$(document).ready(function() {

	$('#segundaLecturaUbicacion').on('change',function(e){
	
		e.preventDefault();
	
		var valor=$(this).val();
		
		<?php if($mascaraDobleUbicacion) { ?>
		
			var mascara='<?php echo $mascaraDobleUbicacion; ?>';
			valor=mascara.replace('*',valor);
		
		<?php } else { ?>
		
			var ConfigUbiNivelSeparador='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelSeparador']; ?>';
			var ConfigUbiNivelTamanyoID='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']; ?>';
			var ConfigUbiNivelCaracterAutocompletar='<?php if($_SESSION['parametrosSGA']['ConfigUbiNivelAutocompletarEspacios']=='S') { ?> <?php } else if($_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']=='') { ?>0<?php } else echo $_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']; ?>';
			var ConfigUbiNivelAlineacion='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelAlineacion']; ?>';
			
			console.log('DOBLE LECTURA UBICACION');
			console.log('ConfigUbiNivelSeparador: '+ConfigUbiNivelSeparador);
			console.log('ConfigUbiNivelAlineacion: '+ConfigUbiNivelAlineacion);
			
			var valorAutorellenado='';
			for( var i=1 ; i <= ConfigUbiNivelTamanyoID-valor.length ; i++) valorAutorellenado+=ConfigUbiNivelCaracterAutocompletar;
			
			console.log('valorAutorellenado: '+valorAutorellenado);
			
			if(ConfigUbiNivelAlineacion=='I') valor=valor+valorAutorellenado;
			else valor=valorAutorellenado+valor;
			
			if(ConfigUbiNivelSeparador!='') valor=ConfigUbiNivelSeparador+valor;
		
		<?php } ?>
		
		console.log('valor: '+valor);
		
		$('#ubicacion').val( $('#ubicacion').val()+valor );
		$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacion').val() );
		
		carga();
	
	});
	
	$('#segundaLecturaUbicacionDefinitiva').on('change',function(e){
		$('#ubicacion').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		carga();
	});


	$('#ubicacion').on('change',function(e){
	
		e.preventDefault();
		
		<?php if($_SESSION['dobleLecturaUbicacion']) { ?>
		
			<?php if($borrarAlturaDeUbicacionScanner) { ?>
				$(this).val( $(this).val().substring(0,$(this).val().length-<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']; ?>) );
			<?php } ?>
		
			$('#teclado').show();
			$('#valor').val('');
			$('#valorOculto').val('');
			$('#enter').attr('campoValor','segundaLecturaUbicacion');
			$('#enter').attr('forzarEnter','si');
		
		<?php } else { ?>
		
			$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacion').val() );
			carga();
		
		<?php } ?>
	
	});


	
	$('#borrarUbicacion').on("click",function(){
		
		lecturaScanner=new Array();
		cadenaLectura='';
		
		$("#ubicacion").val('');
		
		$('#segundaLecturaUbicacion').val('');
		$('#segundaLecturaUbicacionDefinitiva').val('');
		
		$("#listaContenedores").empty();
		$("#ubicacion").focus();
		
	});
	
	$('#tecladoUbicacion').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		$('#valorOculto').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		$('#enter').attr('campoValor','segundaLecturaUbicacionDefinitiva');
		$('#enter').attr('forzarEnter','si');
		
	});
	
	$('#botonPlayas').on("click",function(e){
		e.preventDefault();
		$('#popupPlayas').show();
	});
		
	$('.selectorPlaya').on("click",function(e){
		e.preventDefault();
		$('#popupPlayas').hide();
		$("#ubicacion").val( $(this).attr('id') );
		
		<?php if($_SESSION['dobleLecturaUbicacion']) { ?>
		$("#segundaLecturaUbicacionDefinitiva").val( $("#ubicacion").val() );
		carga();
		<?php } else { ?>
		$('#ubicacion').trigger('change');
		<?php } ?>
	});
	
	
	$("#ubicacion").focus();

	if($("#ubicacion").val()!='') carga();

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
